module "blocky" {
  source = "./blocky"

  use_wesher = var.use_wesher

  # Not in this module
  # depends_on = [module.databases]
}

module "traefik" {
  source = "./traefik"
}

resource "nomad_job" "nomad-client-stalker" {
  # Stalker used to allow using Nomad service registry to identify nomad client hosts
  jobspec = file("${path.module}/nomad-client-stalker.nomad")
}

resource "nomad_job" "syslog-ng" {
  jobspec = file("${path.module}/syslogng.nomad")

  depends_on = [module.loki]
}

resource "nomad_job" "ddclient" {
  jobspec = file("${path.module}/ddclient.nomad")
}
